commit:     16dde2560ee59cf5cb1dceb2ae0adc5af73edc6d
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  1 17:40:44 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Oct  1 23:41:40 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16dde256

dev-libs/sink: Switch to kde.org tar.xz, set HOMEPAGE, depend on slots

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-libs/sink/Manifest             |  1 +
 dev-libs/sink/sink-0.8.0-r1.ebuild | 59 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-libs/sink/Manifest b/dev-libs/sink/Manifest
index d586120b192..e23d90e39f4 100644
--- a/dev-libs/sink/Manifest
+++ b/dev-libs/sink/Manifest
@@ -1 +1,2 @@
 DIST sink-0.8.0.tar.gz 409901 BLAKE2B 
bf66b00855333ee5a35471968a09a4bab161ea0b765389f1f1291965e318d65da5532335dff033675e38eb302755fba250b1d3b617b4a54b2fca6c4385182956
 SHA512 
d3fcc9e502996e8730ca372370a9be5e3ff2ffe79e02595a9a02aab281c17f223c435bd7f3c992d11139c272350d1e3ddb7f3a4d18f46ba513465c41c5075cbc
+DIST sink-0.8.0.tar.xz 295064 BLAKE2B 
8187520979b43966a4e2d782e0ceb651c49eb25a349e2f9f2251b47978b0eebe64a98ce8c04f1854cdd05779f01c2cb68f1fa008568c1e95d292dbcd65fc61fe
 SHA512 
008ca8355ffbed2bf89a906510aac4c505c8e44de49f445db283aa565e233e7652f2e46c5bcf37e680dec940a8c0f1525e6a8f708e1b4742db62522255c8bad6

diff --git a/dev-libs/sink/sink-0.8.0-r1.ebuild 
b/dev-libs/sink/sink-0.8.0-r1.ebuild
new file mode 100644
index 00000000000..4a8951d568b
--- /dev/null
+++ b/dev-libs/sink/sink-0.8.0-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_TEST="false" # build breaks otherwise. tests not isolated.
+inherit kde5
+
+DESCRIPTION="Data access layer handling synchronization, caching and indexing"
+HOMEPAGE="https://kube-project.com";
+SRC_URI="mirror://kde/unstable/${PN}/${PV}/src/${P}.tar.xz"
+
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64"
+
+# qtgui is bogus but is required because something else in the deptree
+# uses it as a public dependency but doesn't search for it properly
+RDEPEND="
+       || (
+               $(add_frameworks_dep kcalendarcore)
+               $(add_kdeapps_dep kcalcore)
+       )
+       || (
+               $(add_frameworks_dep kcontacts)
+               $(add_kdeapps_dep kcontacts)
+       )
+       $(add_frameworks_dep kcoreaddons)
+       $(add_kdeapps_dep kmime)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtnetwork)
+       dev-db/lmdb:=
+       dev-libs/flatbuffers
+       >=dev-libs/kasync-0.3:5
+       >=dev-libs/xapian-1.4.4:0=
+       >=net-libs/kdav2-0.3:5
+       >=net-libs/kimap2-0.3:5
+       net-misc/curl
+       sys-libs/readline:0=
+"
+DEPEND="${RDEPEND}
+       $(add_qt_dep qtconcurrent)
+"
+
+# fails to build
+RESTRICT+=" test"
+
+src_prepare() {
+       kde5_src_prepare
+       # FIXME: sink is useless without its 'examples'. Workaround our eclass
+       sed -i -e "/add_subdirectory(examples)/ s/#DONOTCOMPILE //" \
+               CMakeLists.txt || die "Failed to fix CMakeLists.txt"
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_DISABLE_FIND_PACKAGE_Libgit2=ON
+       )
+       kde5_src_configure
+}

Reply via email to